-----------------------------------------------------------------------------
--  File     : /units/xsl0202/xsl0202_script.lua
--
--  Author(s): EbolaSoup, Resin Smoker, Optimus Prime, Vissroid 
--
--  Summary  : Seraphim Heavy Bot Script (Modded for unit phasing)
--
--  Copyright © 2010 4DC_V0.8  All rights reserved.
----------------------------------------------------------------------------- 

local SWalkingLandUnit = import('/lua/seraphimunits.lua').SWalkingLandUnit
SWalkingLandUnit = import('/mods/4DC_V0.8/lua/CustomAbilities/4D_UnitPhasing/4D_UnitPhasing.lua').UnitPhasing( SWalkingLandUnit )
local SDFAireauBolterWeapon = import('/lua/seraphimweapons.lua').SDFAireauBolterWeapon02

XSL0202 = Class(SWalkingLandUnit) {
    Weapons = {
        MainGun = Class(SDFAireauBolterWeapon) {}
    },       
}
TypeClass = XSL0202